Subject: bug#11761: Slight bug in split :-)

From: Jim Meyering <[email-masked]>
Date: Fri, 22 Jun 2012 00:12:00 +0200

François Pinard wrote:
> Hi, Jim.
>
> I was looking for a problematic spot from a big file, and to isolate it,
> used "split" repeatedly as a way to zoom into the proper place.  Just to
> try, I used "split -C 100000 xad" at one place (after saving "xad"
> first, of course).  "split" interrupted itself, producing less output
> than input.
>
> My suggestion would be that split moans in some way before it destroys
> its own input. :-)
>
> François

Hi François!
Thank you for reporting that.
That's definitely a bug.

For the record, here's a quick reproducer:

    $ seq 10 > xaa
    $ split -C 6 xaa
    $ wc -c x??
    6 xaa
    1 xab
    7 total
    $ head x??
    ==> xaa <==
    1
    2
    3

    ==> xab <==
    3$

I've Cc'd the bug list, in case someone would like to write
the patch (fix, NEWS and test) before I get to it.
I may not have time tomorrow.